JmxServerNotificationAgent.NotificationListener (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.JmxServerNotificationAgent.NotificationListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class JmxServerNotificationAgent.NotificationListener

    java.lang.Object
      org.mule.module.management.agent.JmxServerNotificationAgent.NotificationListener

All Implemented Interfaces:
  EventListener, NotificationListener, JmxServerNotificationAgent.NotificationListenerMBean

Enclosing class:
  JmxServerNotificationAgent

    public static class JmxServerNotificationAgent.NotificationListener

extends Object
implements JmxServerNotificationAgent.NotificationListenerMBean, NotificationListener

Constructor Summary
`JmxServerNotificationAgent.NotificationListener()`

Method Summary
`protected List` | `getList()` Getter for property 'list'.
`int` | `getListSize()` Getter for property 'listSize'.
`List` | `getNotificationsList()` Getter for property 'notificsationList'.
`void` | `handleNotification(Notification notification, Object o)`
`void` | `setListSize(int listSize)` Setter for property 'listSize'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxServerNotificationAgent.NotificationListener

    public JmxServerNotificationAgent.NotificationListener()

Method Detail

### handleNotification

    public void handleNotification(Notification notification,
                                   Object o)

  Specified by:
    `handleNotification` in interface `NotificationListener`

### getNotificationsList

    public List getNotificationsList()

  Getter for property 'notificsationList'.

  Specified by:
    `getNotificationsList` in interface `JmxServerNotificationAgent.NotificationListenerMBean`
  Returns:
    Value for property 'notificsationList'.

### getListSize

    public int getListSize()

  Getter for property 'listSize'.

  Specified by:
    `getListSize` in interface `JmxServerNotificationAgent.NotificationListenerMBean`
  Returns:
    Value for property 'listSize'.

### setListSize

    public void setListSize(int listSize)

  Setter for property 'listSize'.

  Specified by:
    `setListSize` in interface `JmxServerNotificationAgent.NotificationListenerMBean`
  Parameters:
    `listSize` - Value to set for property 'listSize'.

### getList

    protected List getList()

  Getter for property 'list'.

  Returns:
    Value for property 'list'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.